## Apache Zeta Components Manual :: Docs For Class ezcTranslationTsBackendOptions

### Translation::ezcTranslationTsBackendOptions

### Class ezcTranslationTsBackendOptions

Struct class to store the options of the ezcTranslationTsBackend class.

This class stores the options for the ezcTranslationTsBackend class.

Source for this file: /Translation/src/options/ts_backend.php

    ezcBaseOptions
       |
       --ezcTranslationTsBackendOptions

Version: | //autogentag//

### Properties

string | read/write | `$format` Format for the translation file's name. In this format string the special place holder [LOCALE] will be replaced with the requested locale's name. For example a format of "translations/[LOCALE].xml" will result in the filename for the translation file to be "translations/nl_NL.xml" if the nl_NL locale is requested.
bool | read/write | `$keepObsolete` When this option is set to "true" the reader will not drop translation messages with the "obsolete" type set.
string | read/write | `$location` Path to the directory that contains all TS .xml files.

### Inherited Member Variables

From ezcBaseOptions
protected | `ezcBaseOptions::$properties`

### Method Summary

public ezcTranslationTsBackendOptions | `__construct( [ $array = array()] )` Constructs a new options class.

### Inherited Methods

From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

### Methods

#### __construct

ezcTranslationTsBackendOptions __construct( [array(string=>mixed) $array = array()] )

Constructs a new options class.

It also sets the default values of the format property

##### Parameters:

Name | Type | Description
--- | --- | ---
`$array` | array(string=>mixed) | The initial options to set.

##### Exceptions:

Type | Description
--- | ---
`ezcBaseValueException` | If a the value for a property is out of range.
`ezcBasePropertyNotFoundException` | If a the value for the property options is not an instance of

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseOptions::__construct()` | Construct a new options object.

Documentation generated by phpDocumentor 1.4.3